complexType "Cash"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?
</...>

Content Model Elements (3):

  currency (in cash), description (in cash), | instrumentId (in cash)

All Direct / Indirect Based Elements (1):

  cash

Known Usage Locations

- As direct type of elements (1):
  cash

Type Definition Detail

Type Derivation Tree Asset (extension) Cash

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Cash"> <xsd:complexContent> <xsd:extension base="Asset"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"/> <xsd:element minOccurs="0" name="description" type="xsd:string"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

description

  Type: | xsd:string, predefined, simple content

  Long name of the underlying asset.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="description" type="xsd:string"/>

instrumentId

  Type: | InstrumentId, simple content

  Identification of the underlying asset, using public and/or private identifiers.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="instrumentId" type="InstrumentId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.